/******************************************************************************/
/*                                                                            */
/*                                                      FILE: QuickStart.java */
/*                                                                            */
/*  Ein einfaches Servlet fuer den Schnellstart                               */
/*  ===========================================                               */
/*                                                                            */
/*  V1.00   30-OCT-2015   Te          http://www.heimetli.ch                  */
/*                                                                            */
/******************************************************************************/

// Servlets sollen immer in einem eigenen Package liegen
package ch.heimetli.servlet ;

// Standard-Package von Java
import java.io.* ;
import java.util.* ;

// Diese beiden sind nicht im JDK zu finden sondern bei Tomcat
import javax.servlet.* ;
import javax.servlet.annotation.* ;
import javax.servlet.http.* ;

/**
 * Ein triviales Servlet, nur zur Demonstration
 */
@WebServlet(name="QuickStart",description="SchnellStart, updated",urlPatterns={"/quickstart"})
public class QuickStart extends HttpServlet
{
   /**
    * Wird bei einem Seitenabruf (GET) aufgerufen und erzeugt
    * eine Antwortseite
    * @param request Die Parameter des Aufrufs
    * @param response Nimmt die Antwort des Servlets auf
    */
   public void doGet( HttpServletRequest request, HttpServletResponse response ) throws IOException, ServletException
   {
      // MIME-Typ der Antwort bestimmen
      response.setContentType("text/html; charset=UTF-8") ;

      // Writer holen
      PrintWriter out = response.getWriter() ;

      // HTML-Seite ausgeben
      out.println("<!DOCTYPE html>" ) ;
      out.println("<html lang=\"de\">" ) ;
      out.println(" <head>" ) ;
      out.println(" <meta charset=\"utf-8\">" ) ;
      out.println("  <title>QuickStart Servlet</title>" ) ;
      out.println(" </head>" ) ;
      out.println(" <body>" ) ;
      out.println("  <h1>Na Bravo, es luft !</h1>" ) ;

      out.println("  <h2>Die Request-Header</h2>" ) ;
      out.println("<pre>" ) ;

      Enumeration<String> headers = request.getHeaderNames() ;

      while( headers.hasMoreElements() )
      {
         String name = headers.nextElement() ;  
         out.println( name + ": " + request.getHeader(name) ) ;
      }

      out.println("</pre>" ) ;

      out.println("  <h2>Die Parameter</h2>" ) ;
      out.println("<pre>" ) ;

      Enumeration<String> names = request.getParameterNames() ;

      while( names.hasMoreElements() )
      {
         String name = names.nextElement() ;  
         out.print( name + ":" ) ;

         String[] values = request.getParameterValues( name ) ;
         for( String value : values )
         {
            out.print( " \"" + value + "\"" ) ;
         }

         out.println() ;
      }

      out.println("</pre>" ) ;

      out.println(" </body>" ) ;
      out.println("</html>" ) ;
   }
}